*** FILE AUTOMATICALLY CREATED: DO NOT EDIT, CHANGES WILL BE LOST ***

------------------------------------------------------------------------
INPUT FILE DESCRIPTION

Program: turbo_magnon.x / turboMAGNON / Quantum ESPRESSO (version: 7.2)
------------------------------------------------------------------------


    Input data format: { } = optional, [ ] = it depends.

All quantities whose dimensions are not explicitly specified are in
RYDBERG ATOMIC UNITS

BEWARE: TABS, DOS <CR><LF> CHARACTERS ARE POTENTIAL SOURCES OF TROUBLE

Comment lines in namelists can be introduced by a "!", exactly as in
fortran code. Comments lines in ``cards'' can be introduced by
either a "!" or a "#" character in the first position of a line.

Structure of the input data:
===============================================================================

&LR_INPUT
  ...
/

&LR_CONTROL
  ...
/



========================================================================
NAMELIST: &LR_INPUT

   THIS NAMELIST IS ALWAYS NEEDED !
   
   +--------------------------------------------------------------------
   Variable:       prefix
   
   Type:           CHARACTER
   Default:        'pwscf'
   Description:    Sets the prefix for generated and read files. The files
                   generated by the ground state pw.x run must have this
                   same prefix.
   +--------------------------------------------------------------------
   
   +--------------------------------------------------------------------
   Variable:       outdir
   
   Type:           CHARACTER
   Default:        './'
   Description:    The directory that contains the run critical files, which
                   include the files generated by ground state pw.x run.
   +--------------------------------------------------------------------
   
   +--------------------------------------------------------------------
   Variable:       restart
   
   Type:           LOGICAL
   Default:        .false.
   Description:    When set to .true., turbo_magnons.x will attempt to restart
                   from a previous interrupted calculation. (see restart_step
                   variable).
                   Beware, if set to .false. turbo_magnons.x will OVERWRITE any
                   previous runs.
   +--------------------------------------------------------------------
   
   +--------------------------------------------------------------------
   Variable:       restart_step
   
   Type:           INTEGER
   Default:        itermax
   Description:    The code writes restart files every restart_step iterations.
                   Restart files are automatically written at the end of
                   itermax Lanczos steps.
   +--------------------------------------------------------------------
   
   +--------------------------------------------------------------------
   Variable:       lr_verbosity
   
   Type:           INTEGER
   Default:        1
   Description:    This integer variable controls the amount of information
                   written to standard output.
   +--------------------------------------------------------------------
   
   +--------------------------------------------------------------------
   Variable:       disk_io
   
   Type:           CHARACTER
   Default:        'default'
   Description:    Fine control of disk usage. Currently only 'reduced' is
                   supported where no restart files are written, apart from
                   the 'default' mode.
   +--------------------------------------------------------------------
   
===END OF NAMELIST======================================================


========================================================================
NAMELIST: &LR_CONTROL

   +--------------------------------------------------------------------
   Variable:       itermax
   
   Type:           INTEGER
   Default:        500
   Description:    Number of Lanczos iterations to be performed.
   +--------------------------------------------------------------------
   
   +--------------------------------------------------------------------
   Variable:       pseudo_hermitian
   
   Type:           LOGICAL
   Default:        .true.
   Description:    When set to .true. the pseudo-Hermitian Lanczos
                   algorithm is used. When set to .false. the
                   non-Hermitian Lanczos biorthogonalization algorithm
                   is used (which is two times slower).
   +--------------------------------------------------------------------
   
   +--------------------------------------------------------------------
   Variable:       approximation
   
   Type:           CHARACTER
   Default:        'TDDFT'
   Description:    A string describing a level of theory:
                   'TDDFT'            - Time-Dependent Local Density Approximation or
                                        Time-Dependent Generalized Gradient Approximation
                                        (depending on the XC functional),
                   'IPA'              - Independent Particle Approximation,
   +--------------------------------------------------------------------
   
   +--------------------------------------------------------------------
   Variable:       ipol
   
   Type:           INTEGER
   Default:        1
   Description:    An integer variable that determines which element of the
                   dynamical magnetic susceptibility will be computed:
                   1 -> chi_xx(omega), 2 -> chi_yy(omega), and
                   3 -> chi_zz(omega). When set to 4, three Lanczos chains
                   are sequentially performed and the full susceptibility
                   tensor is computed.
   +--------------------------------------------------------------------
   
   +--------------------------------------------------------------------
   Variables:      q1, q2, q3
   
   Type:           REAL
   Default:        1.0, 1.0, 1.0
   Description:    The values of the transferred momentum q = (q1, q2, q3)
                   in Cartesian coordinates in units of 2pi/a, where
                   "a" is the lattice parameter.
   +--------------------------------------------------------------------
   
===END OF NAMELIST======================================================


This file has been created by helpdoc utility on Sat Mar 18 15:45:38 CET 2023
